Subject: Re: linux-next: build failure after merge of the final tree (hid tree related)

From: Stephen Rothwell <[email-masked]>
Date: Thu, 1 Apr 2010 18:35:30 +1100

Hi Jiri,

On Thu, 1 Apr 2010 08:18:43 +0200 (CEST) Jiri Kosina <[email-masked]> wrote:
>
> On Thu, 1 Apr 2010, Stephen Rothwell wrote:
> 
> > After merging the final tree, today's linux-next build (powerpc
> > allyesconfig) failed like this:
> > 
> > drivers/hid/hid-picolcd.c: In function 'picolcd_debug_reset_write':
> > drivers/hid/hid-picolcd.c:1343: error: implicit declaration of function 'copy_from_user'
> > drivers/hid/hid-picolcd.c: In function 'picolcd_debug_eeprom_read':
> > drivers/hid/hid-picolcd.c:1407: error: implicit declaration of function 'copy_to_user'
> > 
> > Caused by commit 9bbf2b98ba11d00bd73e3254e15cfe17ccaff6ba ("HID: add
> > experimental access to PicoLCD device's EEPROM and FLASH").  Using copy_
> > {to,from}_user requires the include of linux/uaccess.h.
> > 
> > I have reverted that commit for today.
> 
> Hmm, on which arch did this bomb out? I wonder why it is building fine for 
> me.

PowerPC (see above).  It could also be some interaction with another tree
in linux-next.

> Anyway, I have added the include, as it is obviously correct(tm), thanks 
> for reporting it.

Thanks.

-- 
Cheers,
Stephen Rothwell                    [email-masked]
http://www.canb.auug.org.au/~sfr/